License help not found for blocks

Bug #1308479 reported by Piroska Pulliainen on 2014-04-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Low
Robert Lyon
1.10
Low
Robert Lyon
1.8
Low
Robert Lyon
1.9
Low
Robert Lyon

Bug Description

Hi,
If the License metadata and Allow custom licenses are enabled, when editing blocks with file attachments the following text appears at File or Attachemnt section clicking on the license help icons:

 "There was no help found for this item." See attached screenshot.

Tested in 1.9 and current master version.

If element name is passed withou prefix e.g. license instead of instconf_artefactids_license, then the help is displayed correctly. (found by the ANY form element wildcard)

Thanks,

Piroska

Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: New → Confirmed
importance: Undecided → Low
assignee: nobody → Robert Lyon (robertl-9)
milestone: none → 1.10.0

Reviewed: https://reviews.mahara.org/3270
Committed: http://gitorious.org/mahara/mahara/commit/ca9912612fca79cc9b9a09b31a3760a9f2d9b6e0
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit ca9912612fca79cc9b9a09b31a3760a9f2d9b6e0
Author: Robert Lyon <email address hidden>
Date: Wed Apr 23 07:39:21 2014 +1200

Allow the instconf form element to also use the ANY wildcard help file

Bug #1308479

Allow the same license, licensor, licensorurl help files to be accessible
in block instance config form for both the 'license' section and the
attachments 'license' section

Change-Id: I20dc64c6d4c3cf25138c46348c2d8e5bf7a8fc94
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/3290
Committed: http://gitorious.org/mahara/mahara/commit/d969b1772542ba083c63a002ba0244b6aa716167
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit d969b1772542ba083c63a002ba0244b6aa716167
Author: Robert Lyon <email address hidden>
Date: Wed Apr 23 07:39:21 2014 +1200

Allow the instconf form element to also use the ANY wildcard help file

Bug #1308479

Allow the same license, licensor, licensorurl help files to be accessible
in block instance config form for both the 'license' section and the
attachments 'license' section

Change-Id: I20dc64c6d4c3cf25138c46348c2d8e5bf7a8fc94
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/3291
Committed: http://gitorious.org/mahara/mahara/commit/ad1b972fcb08a1250af1e94bd7d534acee2e375b
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit ad1b972fcb08a1250af1e94bd7d534acee2e375b
Author: Robert Lyon <email address hidden>
Date: Wed Apr 23 07:39:21 2014 +1200

Allow the instconf form element to also use the ANY wildcard help file

Bug #1308479

Allow the same license, licensor, licensorurl help files to be accessible
in block instance config form for both the 'license' section and the
attachments 'license' section

Change-Id: I20dc64c6d4c3cf25138c46348c2d8e5bf7a8fc94
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-20
Changed in mahara:
milestone: 1.10.0 → none
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments